commit:     35caca435f172d52f62b9a9119a7234770f662f9
Author:     Luke Dashjr <luke-jr+git <AT> utopios <DOT> org>
AuthorDate: Tue Sep 18 15:57:26 2018 +0000
Commit:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Fri Sep 21 12:38:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35caca43

dev-util/bitcoin-tx: Bump to 0.16.3

Signed-off-by: Luke Dashjr <luke-jr+git <AT> utopios.org>
Signed-off-by: Virgil Dupras <vdupras <AT> gentoo.org>
Bug: https://bugs.gentoo.org/666669

 dev-util/bitcoin-tx/Manifest                 |  2 +
 dev-util/bitcoin-tx/bitcoin-tx-0.16.3.ebuild | 98 ++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

diff --git a/dev-util/bitcoin-tx/Manifest b/dev-util/bitcoin-tx/Manifest
index c6a97f3d9fb..9313ec120c3 100644
--- a/dev-util/bitcoin-tx/Manifest
+++ b/dev-util/bitcoin-tx/Manifest
@@ -1,4 +1,6 @@
 DIST bitcoin-0.15.1.knots20171111.patches.tar.xz 443024 BLAKE2B 
5010c8d0f6a0bc8cd22ca7d7c73d9e4e689e369f0ba39b59f62fa6b6af3dcf938dfc87d33d3fe595a6e54d99734277a34af068dc29a6e984c76d529fbbe2f383
 SHA512 
455fadeac6ad57be111104680ec6939d6bf235eb49cde89b9716d36f6914c255b1b69cdea459d89b1bbca56099e793be0c8d7aacf592a9d78495068297bb5890
 DIST bitcoin-0.16.0.knots20180322.patches.tar.xz 417544 BLAKE2B 
f14616c81e0694346fd0714032be501ad0b58e82e2a5fcc623b1fdd316759ae7ac584e6c4ab586e8c9f5a402694a36eceac6b2f1c7441da655479f832a8869bd
 SHA512 
9eca9cbae8ce17b38ddb70326760e33e7812db78e79cfe2d1a3518b34eb8fc87fe4c145e46ab60278b14e70a75b3af238342b4e1808a77cbca4b62b8c72fb1eb
+DIST bitcoin-0.16.3.knots20180918.patches.tar.xz 466344 BLAKE2B 
c45b96513e4b6317e6a2a55cc3b47302fbe56fb87717ae0197010694013331b5d071b85a11a73c76f08f39e9f0294d3475e89ee63272047df83893de4dbaa390
 SHA512 
2c3540acc668aeef4b8f01774219736d95395201ddeaccaf70e0bad4a89f05cdd5ffaf630bae0577656efb3580fae92ce0ee4bb1a720ea757ca59e3fd66e1893
 DIST bitcoin-v0.15.1.tar.gz 7550228 BLAKE2B 
0cbb7d0e9d0e5e8eb33502a28289c3f9c86b7c531ed179f7e3e8b601a69a423fa736238a2caae890fd8850eb505533995e578e676860a4014922fbc238185ebb
 SHA512 
a09b6cb64a1649d11e3fd6deeb13a07b1bf4bed504a2fc1c585919459ca8ac1af8e5ecc89dee487359e831a8f12625d54f408f95bb341033d6380b82c290c0d9
 DIST bitcoin-v0.16.0.tar.gz 6628305 BLAKE2B 
69adb5832e2a708431c06bd8ce695f25cfc2b84e7ccf11e77f40c8ec273146208c70a900d0d32f79790cf67fb359c2731b0cecfc1f27ac2d0c4057228a83aed3
 SHA512 
7a59de44196a3cd5b75bccfe851e8bd7d5a00ae45b6e771e082326d75846e7c6d1f6d449e18b539b95b25aa12b7b79c462367f1c89438bcd1ca6ec84eb42972c
+DIST bitcoin-v0.16.3.tar.gz 6658712 BLAKE2B 
2c20b32ea30aed264115d1bd336b62fa28de69cbf116385508718efd7ff22537c3bd402c0965e0f6ddd8e79fc8b51f388f52f885847d36207a24523e927ca63e
 SHA512 
2da25f56fe9b1f5a81815c14e70ff1a69ec15f742424e2c24d71303a71d57c8050dea5d5ba57425bbe0a01a3995ad9b30f0beea5dbafd1632a627cd3fd9a984d

diff --git a/dev-util/bitcoin-tx/bitcoin-tx-0.16.3.ebuild 
b/dev-util/bitcoin-tx/bitcoin-tx-0.16.3.ebuild
new file mode 100644
index 00000000000..29b839ab856
--- /dev/null
+++ b/dev-util/bitcoin-tx/bitcoin-tx-0.16.3.ebuild
@@ -0,0 +1,98 @@
+# Copyright 2010-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools bash-completion-r1
+
+BITCOINCORE_COMMITHASH="49e34e288005a5b144a642e197b628396f5a0765"
+KNOTS_PV="${PV}.knots20180918"
+KNOTS_P="bitcoin-${KNOTS_PV}"
+
+DESCRIPTION="Command-line Bitcoin transaction tool"
+HOMEPAGE="https://bitcoincore.org/ https://bitcoinknots.org/";
+SRC_URI="
+       
https://github.com/bitcoin/bitcoin/archive/${BITCOINCORE_COMMITHASH}.tar.gz -> 
bitcoin-v${PV}.tar.gz
+       
https://bitcoinknots.org/files/0.16.x/${KNOTS_PV}/${KNOTS_P}.patches.txz -> 
${KNOTS_P}.patches.tar.xz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~amd64-linux ~arm ~arm64 ~mips ~ppc ~x86 ~x86-linux"
+IUSE="knots libressl"
+
+DEPEND="
+       >=dev-libs/boost-1.52.0:=[threads(+)]
+       >=dev-libs/libsecp256k1-0.0.0_pre20151118:=[recovery]
+       dev-libs/univalue:=
+       !libressl? ( dev-libs/openssl:0=[-bindist] )
+       libressl? ( dev-libs/libressl:0= )
+"
+RDEPEND="${DEPEND}"
+
+DOCS=( doc/bips.md doc/release-notes.md )
+
+S="${WORKDIR}/bitcoin-${BITCOINCORE_COMMITHASH}"
+
+pkg_pretend() {
+       if use knots; then
+               elog "You are building ${PN} from Bitcoin Knots."
+               elog "For more information, see:"
+               elog 
"https://bitcoinknots.org/files/0.16.x/${KNOTS_PV}/${KNOTS_P}.desc.html";
+       else
+               elog "You are building ${PN} from Bitcoin Core."
+               elog "For more information, see:"
+               elog "https://bitcoincore.org/en/2018/09/18/release-${PV}/";
+       fi
+}
+
+src_prepare() {
+       local knots_patchdir="${WORKDIR}/${KNOTS_P}.patches/"
+
+       eapply "${knots_patchdir}/${KNOTS_P}.syslibs.patch"
+
+       if use knots; then
+               eapply "${knots_patchdir}/${KNOTS_P}.f.patch"
+               eapply "${knots_patchdir}/${KNOTS_P}.branding.patch"
+               eapply "${knots_patchdir}/${KNOTS_P}.ts.patch"
+       fi
+
+       eapply_user
+
+       echo '#!/bin/true' >share/genbuild.sh || die
+       mkdir -p src/obj || die
+       echo "#define BUILD_SUFFIX gentoo${PVR#${PV}}" >src/obj/build.h || die
+
+       eautoreconf
+       rm -r src/leveldb src/secp256k1 || die
+}
+
+src_configure() {
+       local my_econf=(
+               --disable-asm
+               --without-qtdbus
+               --without-libevent
+               --without-qrencode
+               --without-miniupnpc
+               --disable-tests
+               --disable-wallet
+               --disable-zmq
+               --enable-util-tx
+               --disable-util-cli
+               --disable-bench
+               --without-libs
+               --without-daemon
+               --without-gui
+               --disable-ccache
+               --disable-static
+               --with-system-libsecp256k1
+               --with-system-univalue
+       )
+       econf "${my_econf[@]}"
+}
+
+src_install() {
+       default
+
+       newbashcomp contrib/${PN}.bash-completion ${PN}
+}

Reply via email to